Skip to main content

POST /api/data-hub/gpu/archive/list

Get GPU batch download list. A list of id from response must be used in the /download endpoint to find the download URL.

Authorization

🔒OAuth2: OAuth2PasswordBearer
Flow type: password
Token URL: token

Request Body

The request body must be in application/json format. All fields are optional; filter is a list of single-key objects.

Request Example

Responses

Response consists of meta and data, where:
  • meta is the metadata regarding the request. code in meta indicates the error code of the request, with 0 indicating no error.
  • data contains the total number of results and a list of results, each containing the id that can be used to download the data.

POST /api/data-hub/gpu/archive/download

Get GPU data download URL using id, obtained from the /list endpoint.

Authorization

🔒OAuth2: OAuth2PasswordBearer
Flow type: password
Token URL: token

Request Body

The request body must be in application/json format.

Request Example

Responses

Batch download GPU data using Python

This example shows how to batch download GPU data using the two endpoints above. We first list the available data using the /list endpoint, and then download each file using the /download endpoint. The required API token can be obtained through the user portal.